Summary:	Teletext decoder and browser for bttv and DVB
Name:		alevt
Version:	1.6.1
Release:	%mkrel 7
License:	GPL
Group:		Video
Source0:	http://www.goron.de/~froese/%name/%name-%version.tar.bz2
Source10:	alevt-big.png
Source11:	alevt-mini.png
Source12:	alevt.png
Patch0:		%name-1.6.0-time.h.patch.bz2
Patch1:		alevt-1.6.1-vbi-fix.patch.bz2
Patch2:		alevt-1.6.1-koi8.patch.bz2
Patch3:		alevt-1.6.1-xio.patch.bz2
Patch4:		alevt-1.6.1-dvb.patch
URL:		http://www.goron.de/~froese/
BuildRequires:	XFree86-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	zlib-devel
BuildRoot:	%_tmppath/%name-%version-root-%(id -u -n)

%description
AleVT is a teletext/videotext decoder and browser for the bttv and DVB
drivers. It features multiple windows, a page cache, regexp searching,
built-in manual, and more. There's also a program to get the time from
teletext and one to capture teletext pages from scripts.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p0 -b .xio
%patch4 -p1
sed -i 's-L/usr/X11R6/lib-L/usr/X11R6/%{_lib}' Makefile

%build
make OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%_bindir,%_mandir/man1}

install alevt alevt-date alevt-cap $RPM_BUILD_ROOT%_bindir
install {alevt-cap.1,alevt-date.1,alevt.1x} $RPM_BUILD_ROOT%_mandir/man1

# Mandrake menu entry
mkdir -p $RPM_BUILD_ROOT/{%_liconsdir,%_miconsdir,%_menudir}
cat << EOF >$RPM_BUILD_ROOT%_menudir/%name
?package(%name): command="%name" icon="%name.png" \
needs="x11" title="Alevt" \
longtitle="Teletext/Videotext decoder and browser" section="Multimedia/Video" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Alevt
Comment=Teletext/Videotext decoder and browser
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Video;AudioVideo;Video;TV;
EOF

install %SOURCE10 $RPM_BUILD_ROOT%_liconsdir/%name.png
install %SOURCE11 $RPM_BUILD_ROOT%_miconsdir/%name.png
install %SOURCE12 $RPM_BUILD_ROOT%_iconsdir/%name.png 


%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus

%postun
%clean_menus


%files
%defattr(644,root,root,755)
%doc CHANGELOG COPYRIGHT README
%attr(755,root,root) %_bindir/*
%_mandir/man1/*
%_menudir/%name
%{_datadir}/applications/mandriva-%{name}.desktop
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png


%changelog
* Fri Dec 22 2006 Anssi Hannula <anssi@mandriva.org> 1.6.1-7mdv2007.0
+ Revision: 101532
- patch4: add dvb support
- Import alevt



* Mon Sep 18 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.6.1-6mdv2007.0
- XDG

* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 1.6.1-5mdv2007.0
- rebuild

* Sun Jul 24 2005 Pascal Terjan <pterjan@mandriva.org> 1.6.1-4mdk
- Fix build (P3)
- Fix lib64

* Sun Nov 16 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.6.1-3mdk
- From Franck Villaume <fvill@freesurf.fr> 1.6.1-3mdk
  - fix typo : COPYIGHT -> COPYRIGHT

* Tue Oct 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.1-2mdk
- alter main url as source url was in 1mdk

* Tue Oct 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.1-1mdk
- new release
- new url
- remove description translations
- rediff patch 1
- patch 2 : add support for koi8 (ie for russian people)

* Tue Apr 30 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.0-2mdk
- add menu entry

* Fri Apr 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.0-1mdk
- initial release
- fix missing time.h include [Patch0]
- use /dev/vbi0 as fallback [Patch1]
